1) chromium-browser

sudo apt-get install chromium-browser

 

2) google-chrome

a) sudo vi  /etc/apt/sources.list.d/google.list

b) 输入 deb http://dl.google.com/linux/chrome/deb/ stable main

c) sudo apt-get update

d) sudo apt-get install google-chrome-stable stable

e) sudo apt-get install google-chrome-beta beta

参考

 

3) linuxQQ

im.qq.com

安装运行 linuxqq_v1.0.2_i386.tar.gz 时报错,出错信息: error while loading shared libraries: libgtk-x11-2.0.so.0: cannot open shared object file: No such file or directory

这是amd64位linux出现的问题,解决方案:

sudo apt-get install ia32-libs-gtk

sudo  apt-get  install aptitude

sudo  aptitude install libgtk-x11-2.0

 

4) stardict (字典)

sudo apt-get install stardict

配置

 

5) mtPaint (绘图)

sudo apt-get install mtpaint

 

6) unrar / unzip / 7zip (7za)

sudo apt-get install unrar ( unrar

sudo apt-get install unzip ( unzip

sudo apt-get install p7zip-full( 7zip

参考1 参考2 参考3

CentOS 安装7zip

yum install -y p7zip

wget http://nchc.dl.sourceforge.net/project/p7zip/p7zip/9.20.1/p7zip_9.20.1_src_all.tar.bz2
tar -jxvf p7zip_9.20.1_src_all.tar.bz2
cd p7zip_9.20.1
make
make install

参考

Mac 安装7zip

To install p7zip using Homebrew, first update your brew formulae to be sure you are getting the latest p7zip.

$ brew update

Use Homebrew to install p7zip:

$ brew install p7zip

Add all files in the sputnik directory to the compressed file heed.7z:

$ 7z a heed.7z sputnik

Unzip heed.7z:

$ 7z x heed.7z

 

rar

for 64 bit
install unrar centos x64
#wget http://pkgs.repoforge.org/unrar/unrar-4.0.7-1.el6.rf.x86_64.rpm
#rpm -Uvh unrar-4.0.7-1.el6.rf.x86_64.rpm
install rar centos x64
#wget http://pkgs.repoforge.org/rar/rar-3.8.0-1.el6.rf.x86_64.rpm
#rpm -Uvh rar-3.8.0-1.el6.rf.x86_64.rpm

for 32 bit
install unrar centos 32
#wget http://pkgs.repoforge.org/unrar/unrar-4.0.7-1.el6.rf.i686.rpm
#rpm -Uvh unrar-4.0.7-1.el6.rf.i686.rpm
install rar centos 32
#wget http://pkgs.repoforge.org/rar/rar-3.8.0-1.el6.rf.i686.rpm
#rpm -Uvh rar-3.8.0-1.el6.rf.i686.rpm

参考

 

7) xchm

sudo apt-get install xchm

 

8) flash player

sudo apt-get install adobe-flashplugin

参考 官网

 

9) firefox

sudo apt-get install firefox

 

10) opera

sudo apt-get install opera

 

11) vim / emacs

sudo apt-get install vim vim

sudo apt-get install emacs emacs

 

 

12) ssh

sudo apt-get install openssh-client ssh client

sudo apt-get install openssh-server ssh server

 

 

13) Ubuntu系统升级

sudo apt-get update 更新下载源

sudo apt-get upgrade 更新已安装包

sudo apt-get dist-upgrade 更新系统版本

sudo do-release-upgrade 更新系统发行版

 

14) meld

meld是图形化的文件比较工具(diff),详见 meld

sudo apt-get install meld

 

15)unrar

sudo apt-get install unrar

 

16)sz rz

ubuntu: sudo apt-get install lrzsz

centos: yum -y install lrzsz

 

17) subversion

sudo apt-get install subversion

 

18) git

sudo apt-get install git

 

19) g++

yum  install  -y  gcc-c++

rpm -iv --replacepkgs  xxx.rpm // 重装rpm

 

开发工具:

git : egit  -  eclipse team provider

svn : Subversive  -  svn team provider

python : python-pip, tornado, django

clojure :

crontab: yum  -y  install  vixie-cron  crontabs

 

 

Python2.7.3, setuptools, pip 安装

 

问题: urllib2.URLError: <urlopen error unknown url type: https>

 

解决: yum -y install openssl-devel

重新编译Python2.7.1  ——》 ./configure  &&   make  &&  make install

 

问题: RuntimeError: Compression requires the (missing) zlib module

解决: yum -y install zlib

yum -y install zlib-devel

重新编译Python2.7.1  ——》 ./configure  &&   make  &&  make install

 

 

问题: error: command 'gcc' failed with exit status 1

 

解决: yum -y install mysql-devel

yum -y install python-devel

 

Python2.7.3 下载

https://www.python.org/downloads/

 

setuptools 下载

https://pypi.python.org/packages/source/s/setuptools/

 

pip 下载

https://pypi.python.org/pypi/pip

 

 

附加:

.deb 格式安装

sudo   dpkg   -i  package.deb

 

.rpm 格式安装

sudo  apt-get  install   alien  dpkg-dev   debhelper   build-essential // 安装alien,来辅助安装.rpm, ref

sudo  alien  package.rpm

 

rpm安装

1. 安装 命令
rpm -ivh filename.rpm
参数解释
-i 安装
-h 解压rpm的时候打印50个斜条 (#)
-v 显示详细信息

2.升级命令
rpm -Uvh filename.rpm
参数解释
-U 升级
-h 解压rpm的时候打印50个斜条 (#)
-v 显示详细信息

 

 

卸载软件

sudo apt-get remove yourAPP

 

 

 

参考推荐:

Ubuntu系统下安装实用软件集合

Windows连接Linux的常用工具

Linux下tar bz gz等压缩包的压缩和解压

Install an RPM Package on Ubuntu Linux

 

RuntimeError: Compression requires the (missing) zlib module

 

 

问题: error: command 'gcc' failed with exit status 1

 

解决: yum -y install mysql-devel

yum -y install python-devel

 

 

 

原文: Ubuntu常用软件安装